commit: adbf3f7426e8fe72c85aec000fae1b8d6ef9df11
Author: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 4 14:11:52 2021 +0000
Commit: Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Mon Oct 4 14:21:46 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=adbf3f74
dev-python/pygame: enable py3.10
Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>
dev-python/pygame/pygame-2.0.1-r1.ebuild | 7 ++++++-
dev-python/pygame/pygame-9999.ebuild | 5 +++--
2 files changed, 9 insertions(+), 3 deletions(-)
diff --git a/dev-python/pygame/pygame-2.0.1-r1.ebuild
b/dev-python/pygame/pygame-2.0.1-r1.ebuild
index 9fc9d5a9db7..b8c0c5f73b5 100644
--- a/dev-python/pygame/pygame-2.0.1-r1.ebuild
+++ b/dev-python/pygame/pygame-2.0.1-r1.ebuild
@@ -2,7 +2,8 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7..9} )
+
+PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1
@@ -51,6 +52,10 @@ src_prepare() {
if ! use midi; then
rm test/midi_test.py || die
fi
+ # Fixed in next release
+ sed -e 's/++Py_REFCNT/Py_INCREF/' \
+ -e 's/--Py_REFCNT/Py_DECREF/' \
+ -i src_c/_sdl2/*.c || die
distutils-r1_src_prepare
}
diff --git a/dev-python/pygame/pygame-9999.ebuild
b/dev-python/pygame/pygame-9999.ebuild
index 8d4ba88cd46..7207ee8e45a 100644
--- a/dev-python/pygame/pygame-9999.ebuild
+++ b/dev-python/pygame/pygame-9999.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{7..9} )
+
+PYTHON_COMPAT=( python3_{8..10} )
inherit distutils-r1 git-r3